What type of browser do I need in order to use the CFPB’s HMDA Platform?

Compliance > Regulation C - HMDA > FFIEC FAQs
Q:  What type of browser do I need in order to use the CFPB’s HMDA Platform?
 
A:  We recommend that HMDA filers use a modern browser, such as the latest version of Google Chrome or Mozilla Firefox, Internet Explorer 11, Microsoft Edge, or other modern browsers.
 
 
 
This FAQ, and others, were identified as being published by the FFIEC and HUD; and were obtained from the CFPB’s website, Resources for HMDA Filers page, which can be found here: 

http://www.consumerfinance.gov/data-research/hmda/for-filers
 

Add Feedback